summaryrefslogtreecommitdiff
path: root/src/groups.sh
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2004-11-03 23:11:45 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2004-11-03 23:11:45 +0000
commitfe92cc42b2160ee486b547ff20fde84369a9a65a (patch)
tree2dcacf8101dc924b4451e2b29ab82658306da2f1 /src/groups.sh
parentadff4ef93ce925cb1cb7afc5c6bc3b3f54a683e5 (diff)
downloadcoreutils-fe92cc42b2160ee486b547ff20fde84369a9a65a.tar.xz
(version): New variable, containing author info,
for benefit of AUTHORS check. Use it when acting on --version option.
Diffstat (limited to 'src/groups.sh')
-rwxr-xr-xsrc/groups.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/src/groups.sh b/src/groups.sh
index 39677bed1..bc67b9d7c 100755
--- a/src/groups.sh
+++ b/src/groups.sh
@@ -1,6 +1,6 @@
#!/bin/sh
# groups -- print the groups a user is in
-# Copyright (C) 1991, 1997, 2000, 2002 Free Software Foundation, Inc.
+# Copyright (C) 1991, 1997, 2000, 2002, 2004 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,6 +31,14 @@ Same as id -Gn. If no USERNAME, use current process.
Report bugs to <@PACKAGE_BUGREPORT@>."
+version='groups (@GNU_PACKAGE@) @VERSION@
+Written by David MacKenzie.
+
+Copyright (C) 2004 Free Software Foundation, Inc.
+This is free software; see the source for copying conditions. There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.'
+
+
fail=0
case $# in
1 )
@@ -38,7 +46,7 @@ case $# in
z--help )
echo "$usage" || fail=1; exit $fail;;
z--version )
- echo "groups (@GNU_PACKAGE@) @VERSION@" || fail=1; exit $fail;;
+ echo "$version" || fail=1; exit $fail;;
* ) ;;
esac
;;